Vocera NaviCare Adapter 1.6.0

This adapter version supports Engage Platform 5.5 and Vocera Platform 6.1.0

Technical Content

Content Pack

Release Notes